OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations
subsidy_type.h File Reference

basic types related to subsidies More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SimpleTinyEnumT < PartOfSubsidy, byte > | PartOfSubsidyByte
| Helper to store the PartOfSubsidy data in a single byte.
typedef uint16 | SubsidyID
| ID of a subsidy.

## Enumerations
enum | PartOfSubsidy { POS_NONE = 0, POS_SRC = 1 << 0, POS_DST = 1 << 1 }
| What part of a subsidy is something? More...

## Detailed Description

basic types related to subsidies

Definition in file subsidy_type.h.

## Typedef Documentation

typedef SimpleTinyEnumT<PartOfSubsidy, byte> PartOfSubsidyByte

Helper to store the PartOfSubsidy data in a single byte.

Definition at line 24 of file subsidy_type.h.

## Enumeration Type Documentation

enum PartOfSubsidy

What part of a subsidy is something?

Enumerator:

  POS_NONE | nothing
  POS_SRC | bit 0 set -> town/industry is source of subsidised path
  POS_DST | bit 1 set -> town/industry is destination of subsidised path

Definition at line 18 of file subsidy_type.h.